# Get User Info

```tsx
import { useWallet } from "@enclavemoney/enclave-wallet-sdk/dist/components/WalletProvider";

export function Page() {
     const {
         isLoggedIn,
         username,
         evmWalletAddress,
         solanaWallkeAddress,
         bitcoinWalletAddress,
         cryptoBalance
     } = useWallet();
}
```

| Variable name        | Data                                                  |
| -------------------- | ----------------------------------------------------- |
| username             | User's username or email id (based on auth mechanism) |
| evmWalletAddress     | EVM smart contract wallet address                     |
| solanaAddress        | Solana wallet address                                 |
| bitcoinWalletAddress | Bitcoin native segwit wallet address                  |
| cryptoBalance        | List of aggregated token balances                     |
| isLoggedIn           | Logged in state of the user (true or false)           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclave.money/integrate-with-enclave-money/embedded-wallet/get-user-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
